
Ruby - Bug #4332

Some seemingly random segfaults

01/28/2011 06:50 AM - meh. (meh. I don't care)

Status: Third Party's Issue   

Priority: Normal   

Assignee: nahi (Hiroshi Nakamura)   

Target version: 2.0.0   

ruby -v: ruby 1.9.2p0 (2010-08-18 revision

29036) [i686-linux]

Backport:  

Description

=begin

With my application https://github.com/meh/failirc/tree/223b01554601835cdfd45c6d20e8aeac3445bdbf I'm getting various segfaults

and aborts, got 4 different explosions, I'm attaching them.

I know it's not the last ruby version but I can't get a newer one at the moment, but I had the same kind of errors since the first

versions of the 1.9 branch (it's written for 1.9+ only) so I guess it hasn't been fixed in the meantime.

I can't get a reduced test case either, so well, I know this bug will be pretty useless because of its random nature.

It happens after some time it's been booted and 10/20 people are connected, with less people it happens after lot more time if not at

all.

=end

History

#1 - 06/26/2011 05:24 PM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to nahi (Hiroshi Nakamura)

#2 - 06/26/2011 05:42 PM - nahi (Hiroshi Nakamura)

- Target version set to 1.9.3

#3 - 06/27/2011 05:28 PM - nahi (Hiroshi Nakamura)

- Status changed from Assigned to Feedback

- Target version changed from 1.9.3 to 2.0.0

Meh, sorry for late response.

I tried failircd with the latest ruby (1.9.3dev of today) but it seems to work with 1 or 2 clients. I don't have a way to run multiple IRC clients on my

machine...  And according to the source, it uses openssl-nonblock but only for 1.9.1, and no other C extension seems to be loaded.

I know you wrote you could not create a smaller testcase to reproduce so would you please try other environments to run failircd? Does it work with

the latest 1.9.2 patch release? Does it work with 1.9.3dev? How about other OSs?

I mark this issue 'Feedback' since I cannot reproduce the error and I don't know a way to debug at this moment.

#4 - 06/23/2012 11:33 PM - meh. (meh. I don't care)

Sorry for the even later response, the issue wasn't MRI related, apparently it was the versionomy gem doing some weird stuff from a C extension.

I found out because I was having the same issue with another program that was using versionomy, I just wrote my own gem to do that stuff and

everything went nicely.

#5 - 11/29/2012 10:20 PM - nahi (Hiroshi Nakamura)

- Status changed from Feedback to Third Party's Issue

Thanks for the confirmation. Closing.

Files
https://github.com/meh/failirc/tree/223b01554601835cdfd45c6d20e8aeac3445bdbf


1 5.23 KB 01/28/2011 meh. (meh. I don't care)

2 11.8 KB 01/28/2011 meh. (meh. I don't care)

3 3.02 KB 01/28/2011 meh. (meh. I don't care)

4 7.92 KB 01/28/2011 meh. (meh. I don't care)
